Comment 4 for bug 153221

For what it's worth I was able to update MySQL on Feisty just fine:

Setting up mysql-client-5.0 (5.0.38-0ubuntu1.1) ...
Setting up mysql-server-5.0 (5.0.38-0ubuntu1.1) ...
Installing new version of config file /etc/init.d/mysql ...
 * Stopping MySQL database server mysqld [ OK ]
 * Starting MySQL database server mysqld [ OK ]
 * Checking for corrupt, not cleanly closed and upgrade needing tables.

Setting up mysql-server (5.0.38-0ubuntu1.1) ...
Setting up mysql-client (5.0.38-0ubuntu1.1) ...

I used "apt-get update; apt-get upgrade" though not aptitude.